import { o as e, G as a, A as n, y as d, C as r, x as c } from "./index-597e6e44.mjs";
import "vue";
const h = {
  key: "_drawer",
  name: e("_.builtIn.element.drawer.name"),
  description: "",
  icon: "mdiPauseBoxOutline",
  sequence: 32,
  transform: function({ config: l, context: u }) {
    if (u.mode.value == "edit") {
      const t = a("el-card", { config: l }), s = n(l, "footer");
      s.style = { "text-align": "right" }, t["#footer"] = s, t.header = (t.title || "No title") + e("_.builtIn.element.drawer.prompt");
      const o = {
        position: "absolute",
        overflow: "auto",
        "z-index": 999
      }, i = l.direction || "rtl";
      return i == "rtl" ? t.style = {
        right: 0,
        top: 0,
        height: "100%",
        width: l.size || "30%",
        ...o
      } : i == "ltr" ? t.style = {
        left: 0,
        top: 0,
        height: "100%",
        width: l.size || "30%",
        ...o
      } : i == "ttb" ? t.style = {
        left: 0,
        top: 0,
        width: "100%",
        height: l.size || "30%",
        ...o
      } : i == "btt" && (t.style = {
        left: 0,
        bottom: 0,
        width: "100%",
        height: l.size || "30%",
        ...o
      }), t;
    } else {
      const t = a("el-drawer", { config: l });
      return t["#footer"] = n(l, "footer"), t;
    }
  },
  editor: {
    basic: {
      ui: [
        d("title", e("_.builtIn.element.drawer.title")),
        d("size", e("_.builtIn.element.drawer.size")),
        r("modal", e("_.builtIn.element.drawer.modal")),
        r("close-on-click-modal", e("_.builtIn.element.drawer.closeOnClick")),
        r("close-on-press-escape", e("_.builtIn.element.drawer.closeOnEscape")),
        r("show-close", e("_.builtIn.element.drawer.showClose")),
        r("append-to-body", e("_.builtIn.element.drawer.appendToBody")),
        r("destroy-on-close", e("_.builtIn.element.drawer.destroyOnClose")),
        r("with-header", e("_.builtIn.element.drawer.withHeader")),
        c("direction", ["rtl", "ltr", "ttb", "btt"], e("_.builtIn.element.drawer.direction"))
      ],
      init: {
        title: "Drawer default title",
        size: "30%",
        modal: !1,
        "close-on-click-modal": !1,
        "close-on-press-escape": !1,
        "show-close": !0,
        "append-to-body": !1,
        "destroy-on-close": !1,
        "with-header": !0,
        direction: "rtl"
      }
    },
    data: {
      type: "Boolean",
      init: {
        mode: "fixed",
        dataContent: "true"
      }
    },
    display: {}
  }
};
export {
  h as default
};
